Package org.eclipse.rdf4j.spring.operationcache

## Class CachingOperationInstantiator

- java.lang.Object
- - org.eclipse.rdf4j.spring.support.DirectOperationInstantiator
  - - org.eclipse.rdf4j.spring.operationcache.CachingOperationInstantiator

- All Implemented Interfaces:
    `OperationInstantiator`

      public class CachingOperationInstantiator
      extends DirectOperationInstantiator

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CachingOperationInstantiator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GraphQuery` | `getGraphQuery​(RepositoryConnection con, Class<?> owner, String operationName, Supplier<String> graphQueryStringSupplier)` |
    `TupleQuery` | `getTupleQuery​(RepositoryConnection con, Class<?> owner, String operationName, Supplier<String> tupleQueryStringSupplier)` |
    `Update` | `getUpdate​(RepositoryConnection con, Class<?> owner, String operationName, Supplier<String> updateStringSupplier)` |

    - ### Methods inherited from class org.eclipse.rdf4j.spring.support.DirectOperationInstantiator

      `getGraphQuery, getTupleQuery, getUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachingOperationInstantiator

          public CachingOperationInstantiator()

  - ### Method Detail

    - #### getTupleQuery

          public TupleQuery getTupleQuery​(RepositoryConnection con,
                                          Class<?> owner,
                                          String operationName,
                                          Supplier<String> tupleQueryStringSupplier)

      Specified by:
        `getTupleQuery` in interface `OperationInstantiator`
      Overrides:
        `getTupleQuery` in class `DirectOperationInstantiator`

    - #### getUpdate

          public Update getUpdate​(RepositoryConnection con,
                                  Class<?> owner,
                                  String operationName,
                                  Supplier<String> updateStringSupplier)

      Specified by:
        `getUpdate` in interface `OperationInstantiator`
      Overrides:
        `getUpdate` in class `DirectOperationInstantiator`

    - #### getGraphQuery

          public GraphQuery getGraphQuery​(RepositoryConnection con,
                                          Class<?> owner,
                                          String operationName,
                                          Supplier<String> graphQueryStringSupplier)

      Specified by:
        `getGraphQuery` in interface `OperationInstantiator`
      Overrides:
        `getGraphQuery` in class `DirectOperationInstantiator`